using System;
using System.Collections.Generic;
using System.Text;
using XmlRpcProxy;

namespace TracXmlRpc
{
    public class TicketVersionProxy : ServiceProxy, ITicketVersion
    {
        public TicketVersionProxy()
        {
            this.MethodPrefix = "ticket.version";
        }

        public object[] GetAll()
        {
            return (object[])this.Invoke("getAll", new object[] { });
        }

        public IDictionary<string, object> Get(string name)
        {
            return (IDictionary<string, object>)this.Invoke("get", new object[] { name });
        }
    }
}
